xcb_xevie_send(3)

NAME
xcb_xevie_send -

SYNOPSIS
#include <xcb/xevie.h>

  Request function

xcb_xevie_send_cookie_t xcb_xevie_send(xcb_connection_t *conn, xcb_xevie_event_t event, uint32_t data_type);

  Reply datastructure

typedef struct xcb_xevie_send_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint8_t  pad1[24];
} xcb_xevie_send_reply_t;

  Reply function

xcb_xevie_send_reply_t *xcb_xevie_send_reply(xcb_connection_t *conn, xcb_xevie_send_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

event
    TODO: NOT YET DOCUMENTED.

data_type
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XEVIE_SEND. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

DESCRIPTION

RETURN VALUE
Returns an xcb_xevie_send_cookie_t. Errors have to be handled when calling the reply function xcb_xevie_send_reply. If you want to handle errors in the event loop instead, use xcb_xevie_send_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xevie.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.